Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/camlp4: new aport

From: Jon Ong <jonongjs_at_rottenmage.com>
Date: Sun, 26 Jun 2016 18:36:55 +0800

https://github.com/ocaml/camlp4/releases
Caml preprocessor and pretty-printer
---
 testing/camlp4/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/camlp4/APKBUILD
diff --git a/testing/camlp4/APKBUILD b/testing/camlp4/APKBUILD
new file mode 100644
index 0000000..353fd06
--- /dev/null
+++ b/testing/camlp4/APKBUILD
_at_@ -0,0 +1,36 @@
+# Contributor: Jon Ong <jonongjs_at_rottenmage.com>
+# Maintainer:
+pkgname=camlp4
+pkgver=4.02
+versuffix=+7
+pkgrel=0
+pkgdesc="Caml preprocessor and pretty-printer"
+url="https://github.com/ocaml/camlp4/releases"
+arch="all"
+license="GPL2"
+depends="ocaml"
+makedepends="git"
+options="!makeflags !emptydirs staticlibs"
+install=""
+subpackages=""
+source="https://github.com/ocaml/camlp4/archive/${pkgver}${versuffix}.tar.gz"
+
+builddir="$srcdir/$pkgname-$pkgver${versuffix/+/-}"
+build() {
+	cd "$builddir"
+
+	./configure || return 1
+	make -j1 all camlp4/META || return 1
+}
+
+package() {
+	cd "$builddir"
+
+	make BINDIR="$pkgdir/usr/bin" \
+		LIBDIR="$pkgdir/usr/lib/ocaml" \
+		PKGDIR="$pkgdir/usr/lib/ocaml" \
+		install install-META || return 1
+}
+md5sums="108214c9a17d94a9e004530c454590e0  4.02+7.tar.gz"
+sha256sums="9a00c09dcd9595bd6fe5e66a553ffcad935106dee49e895f15ca0bf97489f774  4.02+7.tar.gz"
+sha512sums="eea8af1bbce68c9d02cf3dbb588ee6f8610d19211aba298b724db91e3c2c2f21fa4f9a1cc72a1d48a7080805acfcac1bbad192583cce1288bf594c3aa0210813  4.02+7.tar.gz"
-- 
2.8.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Jun 26 2016 - 18:36:55 GMT